version: "3.8"

services:
  pgadmin4:
    hostname: pgadmin4
    image: dpage/pgadmin4:latest
    restart: always
    environment:
      PGADMIN_DEFAULT_EMAIL: admin@netzwissen.de
      PGADMIN_DEFAULT_PASSWORD: R3V5rdwM2MXkfu3Q
      PGADMIN_LISTEN_PORT: 5050
      PGADMIN_CONFIG_ENHANCED_COOKIE_PROTECTION: "True"
      PGADMIN_CONFIG_CONSOLE_LOG_LEVEL: 10
    volumes:
      - ./servers.json:/pgadmin4/servers.json # servers available
      - ./pgpass:/pgpass # passwords for the connections in this file
    networks:
      - pgadmin
    ports:
      - 5050:5050
volumes:
  servers.json:
  pgpass:

networks:
  pgadmin:
